<?php

  $wp_customize->add_section('vw_book_store_pro_section_ordering_settings',array(
      'title' => __('Section Ordering','vw-book-store-pro'),
      'description'=> __('Section Ordering.','vw-book-store-pro'),
      'panel' => 'vw_book_store_pro_panel_id',
  ));
  $wp_customize->add_setting( 'vw_book_store_pro_section_ordering_settings_repeater',
      array(
        'default' => '',
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_text_field'
  ));
  $wp_customize->add_control( new vw_book_store_pro_Repeater_Custom_Control( $wp_customize, 'vw_book_store_pro_section_ordering_settings_repeater',
      array(
        'label' => __( 'Section Reordering','vw-book-store-pro' ),
        'section' => 'vw_book_store_pro_section_ordering_settings',
        'button_labels' => array(
          'add' => __( 'Add Row','vw-book-store-pro' ), 
  ))));
  $wp_customize->add_setting( 'vw_book_store_pro_section_ordering_padding_settings',
    array(
    'default' => '',
    'transport' => 'postMessage',
    'sanitize_callback' => 'vw_book_store_pro_text_sanitization'
  ));
  $wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_book_store_pro_section_ordering_padding_settings',
    array(
    'label' => __('Section Padding Top Settings','vw-book-store-pro'),
    'section' => 'vw_book_store_pro_section_ordering_settings'
  )));
  $wp_customize->add_setting('vw_book_store_pro_slider_padding_top',array(
      'default'   => '',
      'sanitize_callback' => 'sanitize_text_field',
  ));
  $wp_customize->add_control('vw_book_store_pro_slider_padding_top',array(
      'label' => __('Slider Padding Top','vw-book-store-pro'),
      'description' => __('Add Padding Top in Pixels','vw-book-store-pro'),
      'section' => 'vw_book_store_pro_section_ordering_settings',
      'setting'   => 'vw_book_store_pro_slider_padding_top',
      'type'  => 'number'
  ));
  $wp_customize->add_setting('vw_book_store_pro_about_padding_top',array(
      'default'   => '',
      'sanitize_callback' => 'sanitize_text_field',
  ));
  $wp_customize->add_control('vw_book_store_pro_about_padding_top',array(
      'label' => __('About Toys Padding Top','vw-book-store-pro'),
      'description' => __('Add Padding Top in Pixels','vw-book-store-pro'),
      'section' => 'vw_book_store_pro_section_ordering_settings',
      'setting'   => 'vw_book_store_pro_about_padding_top',
      'type'  => 'number'
  ));
  $wp_customize->add_setting('vw_book_store_pro_trending_product_padding_top',array(
      'default'   => '',
      'sanitize_callback' => 'sanitize_text_field',
  ));
  $wp_customize->add_control('vw_book_store_pro_trending_product_padding_top',array(
      'label' => __('Trending Books Padding Top','vw-book-store-pro'),
      'description' => __('Add Padding Top in Pixels','vw-book-store-pro'),
      'section' => 'vw_book_store_pro_section_ordering_settings',
      'setting'   => 'vw_book_store_pro_trending_product_padding_top',
      'type'  => 'number'
  ));
  $wp_customize->add_setting('vw_book_store_pro_product_category_padding_top',array(
      'default'   => '',
      'sanitize_callback' => 'sanitize_text_field',
  ));
  $wp_customize->add_control('vw_book_store_pro_product_category_padding_top',array(
      'label' => __('Product Category Padding Top','vw-book-store-pro'),
      'description' => __('Add Padding Top in Pixels','vw-book-store-pro'),
      'section' => 'vw_book_store_pro_section_ordering_settings',
      'setting'   => 'vw_book_store_pro_product_category_padding_top',
      'type'  => 'number'
  ));
  $wp_customize->add_setting('vw_book_store_pro_latest_collection_padding_top',array(
      'default'   => '',
      'sanitize_callback' => 'sanitize_text_field',
  ));
  $wp_customize->add_control('vw_book_store_pro_latest_collection_padding_top',array(
      'label' => __('Latest Collection Padding Top','vw-book-store-pro'),
      'description' => __('Add Padding Top in Pixels','vw-book-store-pro'),
      'section' => 'vw_book_store_pro_section_ordering_settings',
      'setting'   => 'vw_book_store_pro_latest_collection_padding_top',
      'type'  => 'number'
  ));
  $wp_customize->add_setting('vw_book_store_pro_our_records_padding_top',array(
      'default'   => '',
      'sanitize_callback' => 'sanitize_text_field',
  ));
  $wp_customize->add_control('vw_book_store_pro_our_records_padding_top',array(
      'label' => __('Records Padding Top','vw-book-store-pro'),
      'description' => __('Add Padding Top in Pixels','vw-book-store-pro'),
      'section' => 'vw_book_store_pro_section_ordering_settings',
      'setting'   => 'vw_book_store_pro_our_records_padding_top',
      'type'  => 'number'
  ));
  $wp_customize->add_setting('vw_book_store_pro_best_seller_padding_top',array(
      'default'   => '',
      'sanitize_callback' => 'sanitize_text_field',
  ));
  $wp_customize->add_control('vw_book_store_pro_best_seller_padding_top',array(
      'label' => __('Best Seller Padding Top','vw-book-store-pro'),
      'description' => __('Add Padding Top in Pixels','vw-book-store-pro'),
      'section' => 'vw_book_store_pro_section_ordering_settings',
      'setting'   => 'vw_book_store_pro_best_seller_padding_top',
      'type'  => 'number'
  ));
  $wp_customize->add_setting('vw_book_store_pro_auther_padding_top',array(
      'default'   => '',
      'sanitize_callback' => 'sanitize_text_field',
  ));
  $wp_customize->add_control('vw_book_store_pro_auther_padding_top',array(
      'label' => __('Author Padding Top','vw-book-store-pro'),
      'description' => __('Add Padding Top in Pixels','vw-book-store-pro'),
      'section' => 'vw_book_store_pro_section_ordering_settings',
      'setting'   => 'vw_book_store_pro_auther_padding_top',
      'type'  => 'number'
  ));
  $wp_customize->add_setting('vw_book_store_pro_our_partners_padding_top',array(
      'default'   => '',
      'sanitize_callback' => 'sanitize_text_field',
  ));
  $wp_customize->add_control('vw_book_store_pro_our_partners_padding_top',array(
      'label' => __('Our Partner Padding Top','vw-book-store-pro'),
      'description' => __('Add Padding Top in Pixels','vw-book-store-pro'),
      'section' => 'vw_book_store_pro_section_ordering_settings',
      'setting'   => 'vw_book_store_pro_our_partners_padding_top',
      'type'  => 'number'
  ));
  $wp_customize->add_setting('vw_book_store_pro_testimonial_padding_top',array(
      'default'   => '',
      'sanitize_callback' => 'sanitize_text_field',
  ));
  $wp_customize->add_control('vw_book_store_pro_testimonial_padding_top',array(
      'label' => __('Testimonial Padding Top','vw-book-store-pro'),
      'description' => __('Add Padding Top in Pixels','vw-book-store-pro'),
      'section' => 'vw_book_store_pro_section_ordering_settings',
      'setting'   => 'vw_book_store_pro_testimonial_padding_top',
      'type'  => 'number'
  ));
   $wp_customize->add_setting('vw_book_store_pro_latest_posts_padding_top',array(
      'default'   => '',
      'sanitize_callback' => 'sanitize_text_field',
  ));
  $wp_customize->add_control('vw_book_store_pro_latest_posts_padding_top',array(
      'label' => __('Latest Post Padding Top','vw-book-store-pro'),
      'description' => __('Add Padding Top in Pixels','vw-book-store-pro'),
      'section' => 'vw_book_store_pro_section_ordering_settings',
      'setting'   => 'vw_book_store_pro_latest_posts_padding_top',
      'type'  => 'number'
  ));

  $wp_customize->add_setting('vw_book_store_pro_newsletter_padding_top',array(
      'default'   => '',
      'sanitize_callback' => 'sanitize_text_field',
  ));
  $wp_customize->add_control('vw_book_store_pro_newsletter_padding_top',array(
      'label' => __('Newsletter Padding Top','vw-book-store-pro'),
      'description' => __('Add Padding Top in Pixels','vw-book-store-pro'),
      'section' => 'vw_book_store_pro_section_ordering_settings',
      'setting'   => 'vw_book_store_pro_newsletter_padding_top',
      'type'  => 'number'
  ));

  $wp_customize->add_setting('vw_book_store_pro_content_area_padding_top',array(
      'default'   => '',
      'sanitize_callback' => 'sanitize_text_field',
  ));
  $wp_customize->add_control('vw_book_store_pro_content_area_padding_top',array(
      'label' => __('Content Area Padding Top','vw-book-store-pro'),
      'description' => __('Add Padding Top in Pixels','vw-book-store-pro'),
      'section' => 'vw_book_store_pro_section_ordering_settings',
      'setting'   => 'vw_book_store_pro_content_area_padding_top',
      'type'  => 'number'
  ));

  //General Color Pallete
  $wp_customize->add_section('vw_book_store_pro_color_pallette',array(
      'title' => __('Typography / General settings','vw-book-store-pro'),
      'description'=> __('Typography settings','vw-book-store-pro'),
      'panel' => 'vw_book_store_pro_panel_id',
  ));


  $wp_customize->add_setting( 'vw_book_store_pro_theme_layout_section_ct_pallete',
    array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'vw_book_store_pro_text_sanitization'
  ));
  $wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_book_store_pro_theme_layout_section_ct_pallete',
    array(
    'label' => __('Theme Layout ','vw-book-store-pro'),
    'section' => 'vw_book_store_pro_color_pallette'
  )));

  $wp_customize->add_setting('vw_book_store_pro_radio_boxed_full_layout',
      array(
        'default' => 'full-Width',
        'sanitize_callback' => 'vw_book_store_pro_sanitize_choices'
  ));
  $wp_customize->add_control('vw_book_store_pro_radio_boxed_full_layout',
      array(
        'type' => 'radio',
        'label' => __('Choose Boxed or Full Width Layout', 'vw-book-store-pro'),
        'section' => 'vw_book_store_pro_color_pallette',
        'choices' => array(
        'full-Width' => __('Full Width', 'vw-book-store-pro'),
        'boxed' => __('Boxed', 'vw-book-store-pro')
      ),
  ));

  $wp_customize->add_setting('vw_book_store_pro_radio_boxed_full_layout_value',array(
      'default' => '',
      'sanitize_callback' => 'sanitize_text_field'
    )
  );
  $wp_customize->add_control('vw_book_store_pro_radio_boxed_full_layout_value',array(
      'label' => __('Add Boxed layout Width Here','vw-book-store-pro'),
      'description' => __('Value should be less than 1140px','vw-book-store-pro'),
      'section' => 'vw_book_store_pro_color_pallette',
      'setting' => 'vw_book_store_pro_radio_boxed_full_layout_value',
      'type'    => 'number'
    )
  );

  //This is Button Text FontFamily picker setting
  $wp_customize->add_setting( 'vw_book_store_pro_body_section_ct_pallete',
    array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'vw_book_store_pro_text_sanitization'
  ));
  $wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_book_store_pro_body_section_ct_pallete',
    array(
    'label' => __('Body Typography ','vw-book-store-pro'),
    'section' => 'vw_book_store_pro_color_pallette'
  )));

  $wp_customize->add_setting('vw_book_store_pro_body_font_family',array(
    'default' => '',
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field'
  ));
  $wp_customize->add_control(
      'vw_book_store_pro_body_font_family', array(
      'section'  => 'vw_book_store_pro_color_pallette',
      'label'    => __( 'Body Font family','vw-book-store-pro'),
      'type'     => 'select',
      'choices'  => $font_array,
  ));
  $wp_customize->add_setting('vw_book_store_pro_body_font_size',array(
      'default' => '',
      'sanitize_callback' => 'sanitize_text_field'
    )
  );
  $wp_customize->add_control('vw_book_store_pro_body_font_size',array(
      'label' => __('font size in px','vw-book-store-pro'),
      'section' => 'vw_book_store_pro_color_pallette',
      'setting' => 'vw_book_store_pro_body_font_size',
      'type'    => 'number'
    )
  );
  $wp_customize->add_setting( 'vw_book_store_pro_body_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color'
  ));
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_book_store_pro_body_color', array(
    'label' => __('Body color', 'vw-book-store-pro'),
    'section' => 'vw_book_store_pro_color_pallette',
    'settings' => 'vw_book_store_pro_body_color',
  )));

  $wp_customize->add_setting( 'vw_book_store_pro_h1_section_ct_pallete',
    array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'vw_book_store_pro_text_sanitization'
  ));
  $wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_book_store_pro_h1_section_ct_pallete',
    array(
    'label' => __('H1 Typography ','vw-book-store-pro'),
    'section' => 'vw_book_store_pro_color_pallette'
  )));

  $wp_customize->add_setting('vw_book_store_pro_h1_font_family',array(
    'default' => '',
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field'
  ));
  $wp_customize->add_control(
      'vw_book_store_pro_h1_font_family', array(
      'section'  => 'vw_book_store_pro_color_pallette',
      'label'    => __( 'H1','vw-book-store-pro'),
      'type'     => 'select',
      'choices'  => $font_array,
  ));
  $wp_customize->add_setting('vw_book_store_pro_h1_font_size',array(
      'default' => '',
      'sanitize_callback' => 'sanitize_text_field'
    )
  );
  $wp_customize->add_control('vw_book_store_pro_h1_font_size',array(
      'label' => __('H1 font size in px','vw-book-store-pro'),
      'section' => 'vw_book_store_pro_color_pallette',
      'setting' => 'vw_book_store_pro_h1_font_size',
      'type'    => 'number'
    )
  );
  $wp_customize->add_setting( 'vw_book_store_pro_h1_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color'
  ));
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_book_store_pro_h1_color', array(
    'label' => __('H1 color', 'vw-book-store-pro'),
    'section' => 'vw_book_store_pro_color_pallette',
    'settings' => 'vw_book_store_pro_h1_color',
  )));

  $wp_customize->add_setting( 'vw_book_store_pro_h2_section_ct_pallete',
    array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'vw_book_store_pro_text_sanitization'
  ));
  $wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_book_store_pro_h2_section_ct_pallete',
    array(
    'label' => __('H2 Typography ','vw-book-store-pro'),
    'section' => 'vw_book_store_pro_color_pallette'
  )));

  $wp_customize->add_setting('vw_book_store_pro_h2_font_family',array(
    'default' => '',
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field'
  ));
  $wp_customize->add_control(
      'vw_book_store_pro_h2_font_family', array(
      'section'  => 'vw_book_store_pro_color_pallette',
      'label'    => __( 'H2','vw-book-store-pro'),
      'type'     => 'select',
      'choices'  => $font_array,
  ));
  $wp_customize->add_setting('vw_book_store_pro_h2_font_size',array(
      'default' => '',
      'sanitize_callback' => 'sanitize_text_field'
    )
  );
  $wp_customize->add_control('vw_book_store_pro_h2_font_size',array(
      'label' => __('H2 font size in px','vw-book-store-pro'),
      'section' => 'vw_book_store_pro_color_pallette',
      'setting' => 'vw_book_store_pro_h2_font_size',
      'type'    => 'number'
    )
  );
  $wp_customize->add_setting( 'vw_book_store_pro_h2_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color'
  ));
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_book_store_pro_h2_color', array(
    'label' => __('H2 color', 'vw-book-store-pro'),
    'section' => 'vw_book_store_pro_color_pallette',
    'settings' => 'vw_book_store_pro_h2_color',
  )));

  $wp_customize->add_setting( 'vw_book_store_pro_h3_section_ct_pallete',
    array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'vw_book_store_pro_text_sanitization'
  ));
  $wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_book_store_pro_h3_section_ct_pallete',
    array(
    'label' => __('H3 Typography ','vw-book-store-pro'),
    'section' => 'vw_book_store_pro_color_pallette'
  )));

  $wp_customize->add_setting('vw_book_store_pro_h3_font_family',array(
    'default' => '',
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field'
  ));
  $wp_customize->add_control(
      'vw_book_store_pro_h3_font_family', array(
      'section'  => 'vw_book_store_pro_color_pallette',
      'label'    => __( 'H3','vw-book-store-pro'),
      'type'     => 'select',
      'choices'  => $font_array,
  ));
  $wp_customize->add_setting('vw_book_store_pro_h3_font_size',array(
      'default' => '',
      'sanitize_callback' => 'sanitize_text_field'
    )
  );
  $wp_customize->add_control('vw_book_store_pro_h3_font_size',array(
      'label' => __('H3 font size in px','vw-book-store-pro'),
      'section' => 'vw_book_store_pro_color_pallette',
      'setting' => 'vw_book_store_pro_h3_font_size',
      'type'    => 'number'
    )
  );
  $wp_customize->add_setting( 'vw_book_store_pro_h3_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color'
  ));
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_book_store_pro_h3_color', array(
    'label' => __('H3 color', 'vw-book-store-pro'),
    'section' => 'vw_book_store_pro_color_pallette',
    'settings' => 'vw_book_store_pro_h3_color',
  )));

  $wp_customize->add_setting( 'vw_book_store_pro_h4_section_ct_pallete',
    array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'vw_book_store_pro_text_sanitization'
  ));
  $wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_book_store_pro_h4_section_ct_pallete',
    array(
    'label' => __('H4 Typography ','vw-book-store-pro'),
    'section' => 'vw_book_store_pro_color_pallette'
  )));

  $wp_customize->add_setting('vw_book_store_pro_h4_font_family',array(
    'default' => '',
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field'
  ));
  $wp_customize->add_control(
      'vw_book_store_pro_h4_font_family', array(
      'section'  => 'vw_book_store_pro_color_pallette',
      'label'    => __( 'H4','vw-book-store-pro'),
      'type'     => 'select',
      'choices'  => $font_array,
  ));
  $wp_customize->add_setting('vw_book_store_pro_h4_font_size',array(
      'default' => '',
      'sanitize_callback' => 'sanitize_text_field'
    )
  );
  $wp_customize->add_control('vw_book_store_pro_h4_font_size',array(
      'label' => __('H4 font size in px','vw-book-store-pro'),
      'section' => 'vw_book_store_pro_color_pallette',
      'setting' => 'vw_book_store_pro_h4_font_size',
      'type'    => 'number'
    )
  );
  $wp_customize->add_setting( 'vw_book_store_pro_h4_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color'
  ));
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_book_store_pro_h4_color', array(
    'label' => __('H4 color', 'vw-book-store-pro'),
    'section' => 'vw_book_store_pro_color_pallette',
    'settings' => 'vw_book_store_pro_h4_color',
  )));

  $wp_customize->add_setting( 'vw_book_store_pro_h5_section_ct_pallete',
    array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'vw_book_store_pro_text_sanitization'
  ));
  $wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_book_store_pro_h5_section_ct_pallete',
    array(
    'label' => __('H5 Typography ','vw-book-store-pro'),
    'section' => 'vw_book_store_pro_color_pallette'
  )));

  $wp_customize->add_setting('vw_book_store_pro_h5_font_family',array(
    'default' => '',
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field'
  ));
  $wp_customize->add_control(
      'vw_book_store_pro_h5_font_family', array(
      'section'  => 'vw_book_store_pro_color_pallette',
      'label'    => __( 'H5','vw-book-store-pro'),
      'type'     => 'select',
      'choices'  => $font_array,
  ));
  $wp_customize->add_setting('vw_book_store_pro_h5_font_size',array(
      'default' => '',
      'sanitize_callback' => 'sanitize_text_field'
    )
  );
  $wp_customize->add_control('vw_book_store_pro_h5_font_size',array(
      'label' => __('H5 font size in px','vw-book-store-pro'),
      'section' => 'vw_book_store_pro_color_pallette',
      'setting' => 'vw_book_store_pro_h5_font_size',
      'type'    => 'number'
    )
  );
  $wp_customize->add_setting( 'vw_book_store_pro_h5_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color'
  ));
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_book_store_pro_h5_color', array(
    'label' => __('H5 color', 'vw-book-store-pro'),
    'section' => 'vw_book_store_pro_color_pallette',
    'settings' => 'vw_book_store_pro_h5_color',
  )));

  $wp_customize->add_setting( 'vw_book_store_pro_h6_section_ct_pallete',
    array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'vw_book_store_pro_text_sanitization'
  ));
  $wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_book_store_pro_h6_section_ct_pallete',
    array(
    'label' => __('H6 Typography ','vw-book-store-pro'),
    'section' => 'vw_book_store_pro_color_pallette'
  )));

  $wp_customize->add_setting('vw_book_store_pro_h6_font_family',array(
    'default' => '',
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field'
  ));
  $wp_customize->add_control(
      'vw_book_store_pro_h6_font_family', array(
      'section'  => 'vw_book_store_pro_color_pallette',
      'label'    => __( 'H6','vw-book-store-pro'),
      'type'     => 'select',
      'choices'  => $font_array,
  ));
  $wp_customize->add_setting('vw_book_store_pro_h6_font_size',array(
      'default' => '',
      'sanitize_callback' => 'sanitize_text_field'
    )
  );
  $wp_customize->add_control('vw_book_store_pro_h6_font_size',array(
      'label' => __('H6 font size in px','vw-book-store-pro'),
      'section' => 'vw_book_store_pro_color_pallette',
      'setting' => 'vw_book_store_pro_h6_font_size',
      'type'    => 'number'
    )
  );
  $wp_customize->add_setting( 'vw_book_store_pro_h6_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color'
  ));
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_book_store_pro_h6_color', array(
    'label' => __('H6 color', 'vw-book-store-pro'),
    'section' => 'vw_book_store_pro_color_pallette',
    'settings' => 'vw_book_store_pro_h6_color',
  )));

  $wp_customize->add_setting( 'vw_book_store_pro_para_section_ct_pallete',
    array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'vw_book_store_pro_text_sanitization'
  ));
  $wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_book_store_pro_para_section_ct_pallete',
    array(
    'label' => __('Paragraph Typography ','vw-book-store-pro'),
    'section' => 'vw_book_store_pro_color_pallette'
  )));

  //paragarph font family
  $wp_customize->add_setting('vw_book_store_pro_paragarpah_font_family',array(
    'default' => '',
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field'
  ));
  $wp_customize->add_control(
      'vw_book_store_pro_paragarpah_font_family', array(
      'section'  => 'vw_book_store_pro_color_pallette',
      'label'    => __( 'Paragraph','vw-book-store-pro'),
      'type'     => 'select',
      'choices'  => $font_array,
  ));
  $wp_customize->add_setting('vw_book_store_pro_para_font_size',array(
      'default' => '',
      'sanitize_callback' => 'sanitize_text_field'
    )
  );
  $wp_customize->add_control('vw_book_store_pro_para_font_size',array(
      'label' => __('Paragraph font size in px','vw-book-store-pro'),
      'section' => 'vw_book_store_pro_color_pallette',
      'setting' => 'vw_book_store_pro_para_font_size',
      'type'    => 'number'
    )
  );
  $wp_customize->add_setting( 'vw_book_store_pro_para_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color'
  ));
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_book_store_pro_para_color', array(
      'label' => __('Para color', 'vw-book-store-pro'),
      'section' => 'vw_book_store_pro_color_pallette',
      'settings' => 'vw_book_store_pro_para_color',
    )
  ));

  $wp_customize->add_setting( 'vw_book_store_pro_global_section_ct_pallete',
    array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'vw_book_store_pro_text_sanitization'
  ));
  $wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_book_store_pro_global_section_ct_pallete',
    array(
    'label' => __('Global Color ','vw-book-store-pro'),
    'section' => 'vw_book_store_pro_color_pallette'
  )));

  $wp_customize->add_setting( 'vw_book_store_pro_primary_section_ct_pallete',
    array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'vw_book_store_pro_text_sanitization'
  ));
  $wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_book_store_pro_primary_section_ct_pallete',
    array(
    'label' => __('Primary ','vw-book-store-pro'),
    'section' => 'vw_book_store_pro_color_pallette'
  )));

  $wp_customize->add_setting( 'vw_book_store_pro_hi_first_color', array(
    'default' => '#f06845',
    'sanitize_callback' => 'sanitize_hex_color'
  ));
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_book_store_pro_hi_first_color', array(
    'label' => __('Primary Color', 'vw-book-store-pro'),
    'section' => 'vw_book_store_pro_color_pallette',
    'settings' => 'vw_book_store_pro_hi_first_color',
  )));

  $wp_customize->add_setting( 'vw_book_store_pro_secondry_section_ct_pallete',
    array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'vw_book_store_pro_text_sanitization'
  ));
  $wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_book_store_pro_secondry_section_ct_pallete',
    array(
    'label' => __('Secondry ','vw-book-store-pro'),
    'section' => 'vw_book_store_pro_color_pallette'
  )));

  $wp_customize->add_setting( 'vw_book_store_pro_hi_scnd_color', array(
    'default' => '#f06845',
    'sanitize_callback' => 'sanitize_hex_color'
  ));
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_book_store_pro_hi_scnd_color', array(
    'label' => __('Secondry Color', 'vw-book-store-pro'),
    'section' => 'vw_book_store_pro_color_pallette',
    'settings' => 'vw_book_store_pro_hi_scnd_color',
  )));
  /*------------------------ Button ---------------------------*/
  $wp_customize->add_section('vw_book_store_pro_section_button_settings',array(
      'title' => __('Button Typography','vw-book-store-pro'),
      'panel' => 'vw_book_store_pro_panel_id',
  ));